## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global         srcname         pygtkspellcheck
%global         forgeurl        https://github.com/koehlma/pygtkspellcheck
Version:        5.0.3
%global         tag             %{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Spellchecking library for GTK

# All code GPL-3.0-or-later
# LGPL-2.1-or-later files below
# pygtkspellcheck-5.0.3/utils/locales/databases/iso3166.xml
# pygtkspellcheck-5.0.3/utils/locales/databases/iso639.xml
License:        GPL-3.0-or-later AND LGPL-2.1-or-later
URL:            %{forgeurl}
Source:         %{forgeurl}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:  python3-devel
# Documentation dependencies
BuildRequires:  python3-myst-parser
BuildRequires:  python3-sphinx
# Check dependency
BuildRequires:  python3-gobject-devel
BuildRequires:  gtk3-devel

BuildArch: noarch

%global _description %{expand:
Python GTK Spellcheck is a simple but quite powerful spellchecking
library for GTK written in pure Python. It's spellchecking component
is based on Enchant and it supports both GTK 3 and 4 via PyGObject.

Features

- spellchecking based on Enchant for GtkTextView
- support for word, line, and multiline ignore regular expressions
- support for both GTK 3 and 4 via PyGObject for Python 3
- configurable extra word characters such as '
- localized names of the available languages based on ISO-Codes
- support for custom ignore tags and hot swap of GtkTextBuffer
- support for Hunspell (LibreOffice) and Aspell (GNU) dictionaries
}

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description


%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel
# TODO: build documentation

%install
%pyproject_install
%pyproject_save_files gtkspellcheck -L

%check 
%pyproject_check_import

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md
%doc CHANGELOG
%license LICENSE
%doc examples

%changelog
## START: Generated by rpmautospec
* Tue Nov 05 2024 Benson Muite <benson_muite@emailplus.org> - 5.0.3-1
- Initial import bz #2322081
## END: Generated by rpmautospec
